CKSUM(1)

NAME
cksum - write file checksums and sizes

SYNOPSIS
cksum [file . . . ]

DESCRIPTION
Cksum calculates and prints a checksum for each named file, and also prints the number of bytes in the file. It is typically used to look for bad spots, or to validate a file communicated over some transmission line. The CRC used is based on the polynomial used for CRC error checking in the ISO/IEC 8802-3:1992 Ethernet standard.

SEE ALSO
sum(1), wc(1)

DIAGNOSTICS
`Read error' is indistinguishable from end of file on most devices; check the block count.